<div class="container section-container">
  <form class="form-container" [formGroup]="rForm" (ngSubmit)="onSubmit()" novalidate>
    <div class="form-row">
      <h1 class="register-form-title">Register form</h1>
    </div>
    <div class="form-row">
      <div class="form-group col-md-6">
        <input type="text" class="form-control" formControlName="user" placeholder="User" required>
        <div class="alert alert-secondary" *ngIf="!rForm.controls['user'].valid && rForm.controls['user'].touched">{{ titleAlert }} and must have at least four letters</div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-md-6">
        <input type="text" class="form-control" formControlName="email" placeholder="E-mail" required>
        <div class="alert alert-secondary" *ngIf="!rForm.controls['email'].valid && rForm.controls['email'].touched">{{ titleAlert }} and must have a valid email format</div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-md-6">
        <input type="password" class="form-control" formControlName="password" placeholder="Password" required>
        <div class="alert alert-secondary" *ngIf="!rForm.controls['password'].valid && rForm.controls['password'].touched">{{ titleAlert }} and must have between 8 and 20 characters</div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-md-6">
        <input type="password" class="form-control" formControlName="rPassword" placeholder="Repeat password" required>
        <div class="alert alert-secondary" *ngIf="!rForm.controls['rPassword'].valid && rForm.controls['rPassword'].touched">{{ titleAlert }} and must be the same as above</div>
      </div>
    </div>
    <div class="form-check">
      <label class="form-check-label">
        <input type="checkbox" class="form-check-input" formControlName="checkbox"> Check me out
      </label>
    </div>
    <button class="btn btn-primary" type="submit" [disabled]="!rForm.valid">Send</button>
    <button class="btn btn-danger" type="reset" [disabled]="rForm.pristine">Reset</button>
  </form>
</div>